--[[
Specialization to allow support fill triggers for trailers

Autor: 		Ifko[nator]
Datum: 		18.02.2017
Version:	1.0

History: 	V 1.0 @ 18.02.2017 - intial release in FS 17
]]

AllowFillTriggerForTrailer = {};

function AllowFillTriggerForTrailer.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function AllowFillTriggerForTrailer:preLoad(savegame)
	if SpecializationUtil.hasSpecialization(Fillable, self.specializations) then
		self.supportsFillTriggers = true;
	end;
end;

function AllowFillTriggerForTrailer:load(savegame)end;
function AllowFillTriggerForTrailer:update(dt)end;
function AllowFillTriggerForTrailer:draw()end;
function AllowFillTriggerForTrailer:delete()end;
function AllowFillTriggerForTrailer:mouseEvent(posX, posY, isDown, isUp, button)end;
function AllowFillTriggerForTrailer:keyEvent(unicode, sym, modifier, isDown)end;